<?php
/**
 * Include and setup custom metaboxes and fields.
 *
 * @category YourThemeOrPlugin
 * @package  Metaboxes
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/jaredatch/Custom-Metaboxes-and-Fields-for-WordPress
 */

add_filter( 'cmb_meta_boxes', 'cmb_sample_metaboxes' );
/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
$textdomain = "relxtower";
function cmb_sample_metaboxes( array $meta_boxes ) {

	// Start with an underscore to hide fields from custom fields list
	$prefix = '_cmb_';
	
    $meta_boxes[] = array(
        'id'         => 'page_setting',
        'title'      => 'Page Setting',
        'pages'      => array('page'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(
        )
    );

   $meta_boxes[] = array(
        'id'         => 'page_setting',
        'title'      => 'Page Setting',
        'pages'      => array('apartment'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(
            array(
                'name' => 'Explore Now',
                'desc' => 'Input Explore Now',
                'default' => '',
                'id' => $prefix . 'explore_now',
                'type' => 'text'
            ), 
        )
    );

    $meta_boxes[] = array(
        'id'         => 'post_setting',
        'title'      => 'Post Setting',
        'pages'      => array('post'), // Post type
        'context'    => 'normal',
        'priority'   => 'high',
        'show_names' => true, // Show field names on the left
        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox
        'fields' => array(
            array(
                'name' => 'Facebook',
                'desc' => 'Input link facebook',
                'default' => '',
                'id' => $prefix . 'single_facebook',
                'type' => 'text'
            ), 
            array(
                'name' => 'Twitter',
                'desc' => 'Input link twitter',
                'default' => '',
                'id' => $prefix . 'single_twitter',
                'type' => 'text'
            ),
            array(
                'name' => 'Linkedin',
                'desc' => 'Input link linkedin',
                'default' => '',
                'id' => $prefix . 'single_linkedin',
                'type' => 'text'
            ),
            array(
                'name' => 'Instagram',
                'desc' => 'Input link instagram',
                'default' => '',
                'id' => $prefix . 'single_instagram',
                'type' => 'text'
            ),
            array(
                'name' => 'Behance',
                'desc' => 'Input link behance',
                'default' => '',
                'id' => $prefix . 'single_behance',
                'type' => 'text'
            ),
            array(
                'name' => 'Pinterest',
                'desc' => 'Input link Pinterest',
                'default' => '',
                'id' => $prefix . 'single_pinterest',
                'type' => 'text'
            ),
            array(
                'name' => 'Recent Title',
                'desc' => 'Input Recent Title',
                'default' => '',
                'id' => $prefix . 'recent_title',
                'type' => 'text'
            ), 
            array(
                'name' => 'Recent Image',
                'desc' => 'Image Upload',
                'default' => '',
                'id' => $prefix . 'recent_image',
                'type' => 'file'
            ),
            array(
                'name' => 'Single Audio',
                'desc' => 'Input Single Audio',
                'default' => '',
                'id' => $prefix . 'single_audio',
                'type' => 'text'
            ), 
            array(
                'name' => 'Single video',
                'desc' => 'Input Single Video',
                'default' => '',
                'id' => $prefix . 'single_video',
                'type' => 'text'
            ), 
        )
    );


    
    // Add other metaboxes as needed
    
	return $meta_boxes;
}

add_action( 'init', 'cmb_initialize_cmb_meta_boxes', 9999 );
/**
 * Initialize the metabox class.
 */
function cmb_initialize_cmb_meta_boxes() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once 'init.php';

} 
