<?php

// register post type Portfolio



add_action( 'init', 'register_relxtower_Apartment' );

function register_relxtower_Apartment() {

    

    $labels = array( 

        'name' => __( 'Apartment', 'relxtower' ),

        'singular_name' => __( 'Apartment', 'relxtower' ),

        'add_new' => __( 'Add New Apartment', 'relxtower' ),

        'add_new_item' => __( 'Add New Apartment', 'relxtower' ),

        'edit_item' => __( 'Edit Apartment', 'relxtower' ),

        'new_item' => __( 'New Apartment', 'relxtower' ),

        'view_item' => __( 'View Apartment', 'relxtower' ),

        'search_items' => __( 'Search Apartment', 'relxtower' ),

        'not_found' => __( 'No Apartment found', 'relxtower' ),

        'not_found_in_trash' => __( 'No Apartment found in Trash', 'relxtower' ),

        'parent_item_colon' => __( 'Parent Apartment:', 'relxtower' ),

        'menu_name' => __( 'Apartment', 'relxtower' ),

    );



    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Apartment',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Apartment', 'type' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon'     => 'dashicons-editor-paste-text',

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_style' => 'post'

    );



    register_post_type( 'Apartment', $args );

}

add_action( 'init', 'create_ApartmentType_hierarchical_taxonomy', 0 );



//create a custom taxonomy name it Skillss for your posts



function create_ApartmentType_hierarchical_taxonomy() {



// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI



  $labels = array(

    'name' => __( 'Type', 'relxtower' ),

    'singular_name' => __( 'Type', 'relxtower' ),

    'search_items' =>  __( 'Search Type','relxtower' ),

    'all_items' => __( 'All Type','relxtower' ),

    'parent_item' => __( 'Parent Type','relxtower' ),

    'parent_item_colon' => __( 'Parent Type:','relxtower' ),

    'edit_item' => __( 'Edit Type','relxtower' ), 

    'update_item' => __( 'Update Type','relxtower' ),

    'add_new_item' => __( 'Add New Type','relxtower' ),

    'new_item_name' => __( 'New Type Name','relxtower' ),

    'menu_name' => __( 'Type','relxtower' ),

  );     



// Now register the taxonomy



  register_taxonomy('type',array('Apartment',), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));



}


add_action( 'init', 'register_relxtower_Gallery' );

function register_relxtower_Gallery() {

    

    $labels = array( 

        'name' => __( 'Gallery', 'relxtower' ),

        'singular_name' => __( 'Gallery', 'relxtower' ),

        'add_new' => __( 'Add New Gallery', 'relxtower' ),

        'add_new_item' => __( 'Add New Gallery', 'relxtower' ),

        'edit_item' => __( 'Edit Gallery', 'relxtower' ),

        'new_item' => __( 'New Gallery', 'relxtower' ),

        'view_item' => __( 'View Gallery', 'relxtower' ),

        'search_items' => __( 'Search Gallery', 'relxtower' ),

        'not_found' => __( 'No Gallery found', 'relxtower' ),

        'not_found_in_trash' => __( 'No Gallery found in Trash', 'relxtower' ),

        'parent_item_colon' => __( 'Parent Gallery:', 'relxtower' ),

        'menu_name' => __( 'Gallery', 'relxtower' ),

    );



    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Gallery',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Gallery', 'type1' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon'     => 'dashicons-images-alt',

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_style' => 'post'

    );



    register_post_type( 'Gallery', $args );

}

add_action( 'init', 'create_GalleryType_hierarchical_taxonomy', 0 );



//create a custom taxonomy name it Skillss for your posts



function create_GalleryType_hierarchical_taxonomy() {



// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI



  $labels = array(

    'name' => __( 'Type', 'relxtower' ),

    'singular_name' => __( 'Type', 'relxtower' ),

    'search_items' =>  __( 'Search Type','relxtower' ),

    'all_items' => __( 'All Type','relxtower' ),

    'parent_item' => __( 'Parent Type','relxtower' ),

    'parent_item_colon' => __( 'Parent Type:','relxtower' ),

    'edit_item' => __( 'Edit Type','relxtower' ), 

    'update_item' => __( 'Update Type','relxtower' ),

    'add_new_item' => __( 'Add New Type','relxtower' ),

    'new_item_name' => __( 'New Type Name','relxtower' ),

    'menu_name' => __( 'Type','relxtower' ),

  );     



// Now register the taxonomy



  register_taxonomy('type1',array('Gallery',), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type1' ),

  ));



}