<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
$relxtower_redux_demo = get_option('redux_demo');
get_header(); ?> 

<div class="error-area vh d-flex page-404" style="background-image: url(<?php echo get_template_directory_uri();?>/assets/img/bg/404.jpg);" data-overlay-light="94">
    <div class="container">
      <div class="row">
        <div class="col-xl-12">
          <div class="error-inner text-center">
            <h1 class="error-title"><?php if(isset($relxtower_redux_demo['404_title']) && $relxtower_redux_demo['404_title'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['404_title']));?>
                <?php }else{?>
                <?php echo esc_html__( '404', 'relxtower' );
                }?></h1>
            <h2 class="error-text"><?php if(isset($relxtower_redux_demo['404_subtitle']) && $relxtower_redux_demo['404_subtitle'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['404_subtitle']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Oops! That page can’t be found', 'relxtower' );
                }?></h2>
            <p><?php if(isset($relxtower_redux_demo['404_desc']) && $relxtower_redux_demo['404_desc'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['404_desc']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Sorry, but the page you are looking for does not existing', 'relxtower' );
                }?></p>
            <a class="cs-btn-one btn-md btn-gradient-color" href="<?php echo esc_url(home_url('/')); ?>"><?php if(isset($relxtower_redux_demo['404_text']) && $relxtower_redux_demo['404_text'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['404_text']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Back To Home Page', 'relxtower' );
                }?></a>
          </div>
        </div>
      </div>
    </div>
  </div>

<?php get_footer(); ?>

