<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>
            

        <div class="comment__wrap-title">
          <h5>
            <?php comments_number( esc_html__('0 Comments', 'relxtower'), esc_html__('1 Comment', 'relxtower'), esc_html__('% Comments', 'relxtower')); ?>
          </h5>
        </div>
        <?php wp_list_comments('callback=relxtower_theme_comment'); ?>
                                   
        <?php
                    // Are there comments to navigate through?
                    if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
                ?>
            <div class="text-center">
              <ul class="pagination">
                <li>
                  <?php //Create pagination links for the comments on the current post, with single arrow heads for previous/next
                  paginate_comments_links( array(
                    'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'relxtower' ),ENT_QUOTES), 
                    'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'relxtower' ),ENT_QUOTES)
                  ));  ?>
                </li> 
              </ul>
            </div>
<?php endif; // Check for comment navigation ?>
<?php endif; ?>
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => 'contact-form',        
                'class_form' => 'comment__form',                         
                'title_reply'=> esc_html__( 'Leave a comment', 'relxtower' ),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<div class="comment-field mb-20">
                                    <i class="far fa-user"></i>
                                        <input type="text" placeholder="Type your name...." name="author">
                                  </div>',
                    'email' => '<div class="comment-field mb-20">
                                  <i class="fas fa-envelope"></i>
                                    <input type="email" placeholder="Type your email...." name="email">
                                </div>',   
                    'website' => '<div class="comment-field mb-20">
                                  <i class="fas fa-globe"></i>
                                    <input type="text" placeholder="Type your website...." name="website">
                                </div>',                     
                ) ),   
                'comment_field' => '<div class="comment-field text-area mb-20">
                                      <i class="fas fa-pencil-alt"></i>
                                        <textarea name="comment" id="message" class="form-control" cols="30" rows="10" placeholder="'.esc_attr__('Write a Comment...', 'relxtower').'"></textarea>
                                    </div>',                    
                 'label_submit' => 'Post a Comment',
                 'class_submit' => 'btn',
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',               
        )
    ?>
<?php if ( comments_open() ) : ?>
  <div class="post-comments-form mb-50">
    <?php comment_form($comment_args); ?>
  </div>
<?php endif; ?> 