<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<?php $relxtower_redux_demo = get_option('redux_demo'); ?>

<head>

    <!-- Meta Tags -->

    <meta charset="<?php bloginfo( 'charset' ); ?>">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {?>

        <?php if(isset($relxtower_redux_demo['favicon']['url'])){?>

            <link rel="shortcut icon" href="<?php echo esc_url($relxtower_redux_demo['favicon']['url']); ?>">

        <?php } ?>

    <?php } ?>

    <?php wp_head(); ?> 



</head>

<body <?php body_class(); ?>>



    <header class="header-area">  

        <div class="header-top second-header d-none d-md-block">

            <div class="container">

                <div class="row align-items-center">

                    <div class="col-lg-6">

                        <div class="wellcome-text text-center text-lg-left">

                            <?php if(isset($relxtower_redux_demo['header_title'])){?>

                                <p><?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['header_title']));?></p>

                            <?php }else{?>

                                <p><?php echo esc_html__( 'Welcome to our Relxtower.', 'relxtower' )?></p>

                            <?php } ?>

                        </div>

                    </div>

                    <div class="col-lg-6 d-none d-lg-block">

                        <div class="header-cta text-right">

                            <ul>

                                <li><?php if(isset($relxtower_redux_demo['header_phone'])){?>

                                    <i class="icon dripicons-phone"></i>

                                    <span><?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['header_phone']));?></span>

                                    <?php }else{?>

                                    <i class="icon dripicons-phone"></i>

                                    <span><?php echo esc_html__( '+8 12 3456897', 'relxtower' )?></span>

                                    <?php } ?>

                                </li>

                                <li><?php if(isset($relxtower_redux_demo['header_mail'])){?>

                                        <i class="icon dripicons-mail"></i>

                                        <span><?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['header_mail']));?></span>

                                    <?php }else{?>

                                        <i class="icon dripicons-mail"></i>

                                        <span><?php echo esc_html__( 'info@example.com', 'relxtower' )?></span>

                                    <?php } ?>

                                </li>

                                <li><?php if(isset($relxtower_redux_demo['header_time'])){?>

                                        <i class="icon dripicons-clock"></i>

                                        <span><?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['header_time']));?></span>

                                    <?php }else{?>

                                        <i class="icon dripicons-clock"></i>

                                        <span><?php echo esc_html__( 'Mon-Fri: 8am - 7pm', 'relxtower' )?></span>

                                    <?php } ?>

                                </li>

                            </ul>

                        </div>

                    </div>

                </div>

            </div>

        </div>      

        <div id="header-sticky" class="menu-area">

            <div class="container">

                <div class="second-menu">

                    <div class="row align-items-center">

                        <div class="col-xl-2 col-lg-2">

                            <?php if(isset($relxtower_redux_demo['header_logo']['url']) && $relxtower_redux_demo['header_logo']['url'] != ''){?>

                                <div class="logo">

                                    <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($relxtower_redux_demo['header_logo']['url']);?>" alt="logo"></a>

                                </div>

                            <?php }else{?>

                                <div class="logo">

                                    <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo (get_template_directory_uri().'/assets/img/logo/logo.png');?>" alt="logo"></a>

                                </div>

                            <?php } ?>

                        </div>

                        <div class="col-xl-10 col-lg-9">

                            <div class="responsive"><i class="icon dripicons-align-right"></i></div>

                            <div class="main-menu text-right <text-xl-right></text-xl-right>">

                                <nav id="mobile-menu">

                                    <?php 

                                    wp_nav_menu( 

                                        array( 

                                            'theme_location' => 'primary',

                                            'container' => '',

                                            'menu_class' => '', 

                                            'menu_id' => '',

                                            'menu'            => '',

                                            'container_class' => '',

                                            'container_id'    => '',

                                            'echo'            => true,

                                            'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',

                                            'walker'            => new relxtower_wp_bootstrap_navwalker(),

                                            'before'          => '',

                                            'after'           => '',

                                            'link_before'     => '',

                                            'link_after'      => '',

                                            'items_wrap'      => '<ul  class="%2$s">%3$s</ul>',

                                            'depth'           => 0,        

                                        )

                                    ); ?>


                            </nav>

                        </div>

                    </div>                           

                </div>

            </div>

        </div>

    </div>

    </header>

    <!-- header-end -->

    <!-- main-area -->

    <main>