<?php
/**
 * The Template for displaying all single posts
 */
$relxtower_redux_demo = get_option('redux_demo');
get_header(); ?>

<?php 
while (have_posts()): the_post();
  $single_facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true);
  $single_twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true);
  $single_pinterest = get_post_meta(get_the_ID(),'_cmb_single_pinterest', true);
  $single_instagram = get_post_meta(get_the_ID(),'_cmb_single_instagram', true);
  $single_behance = get_post_meta(get_the_ID(),'_cmb_single_behance', true);
  $single_linkedin = get_post_meta(get_the_ID(),'_cmb_single_linkedin', true);

  $single_audio = get_post_meta(get_the_ID(),'_cmb_single_audio', true);
  $single_video = get_post_meta(get_the_ID(),'_cmb_single_video', true);
  $filter_image = get_post_meta(get_the_ID(),'_cmb_filter_image', true);
  ?>
  <?php if(isset($relxtower_redux_demo['blog_image']['url']) && $relxtower_redux_demo['blog_image']['url'] != ''){?>

    <section class="breadcrumb-area d-flex align-items-center" style="background-image:url(<?php echo esc_url($relxtower_redux_demo['blog_image']['url']);?>)">
    <?php }else{?> 
      <section class="breadcrumb-area d-flex align-items-center" style="background-image:url(<?php echo (get_template_directory_uri().'/assets/img/testimonial/test-bg.jpg');?>)">
      <?php } ?>  
      <div class="container">
        <div class="row">
          <div class="col-xl-6 offset-xl-3 col-lg-8 offset-lg-2">
            <div class="breadcrumb-wrap text-center">
              <div class="breadcrumb-title mb-30">
                <h2><?php if(isset($relxtower_redux_demo['blog_details_title']) && $relxtower_redux_demo['blog_details_title'] != ''){?>
                  <?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['blog_details_title']));?>
                <?php }else{?>
                  <?php echo esc_html__( 'News Details', 'relxtower' );
                }?></h2>                                   
              </div>
              <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                  <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'relxtower' );?></a></li>
                  <li class="breadcrumb-item active" aria-current="page"><?php if(isset($relxtower_redux_demo['blog_details_title']) && $relxtower_redux_demo['blog_details_title'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['blog_details_title']));?>
                  <?php }else{?>
                    <?php echo esc_html__( 'News Details', 'relxtower' );
                  }
                  ?></li>
                </ol>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!-- breadcrumb-area-end -->
    <!-- inner-blog -->
    <section class="inner-blog b-details-p pt-120 pb-80">
      <div class="container">
        <div class="row">
          <div class="col-lg-8">
            <div class="bsingle__post blog-details-wrap">
              <?php if ( has_post_format('video') ) { ?>
                <div class="bsingle__post-thumb video-p mb-30">
                  <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                  <a href="<?php echo esc_url($single_video);?>" class="video-i popup-video"><i class="fas fa-play"></i></a>
                </div>
              <?php } elseif ( has_post_format('gallery') ) { ?>
                <div class="bsingle__post-thumb blog-active mb-30">
                  <?php $gallery = get_post_gallery( get_the_ID(), false );

                  if(isset($gallery['ids'])){    
                    $gallery_ids = $gallery['ids'];
                    $img_ids = explode(",",$gallery_ids);
                    $i=0; $j=0;?>
                    <?php   
                    foreach( $img_ids AS $img_id ){ 
                      $image_src = wp_get_attachment_image_src($img_id,''); 
                      ?>
                      <div class="slide-post">
                        <img src="<?php echo esc_url($image_src[0]); ?>" alt="">
                      </div>
                    <?php } } ?>
                  </div>
                <?php } elseif ( has_post_format('audio') ) { ?>
                  <div class="bsingle__post-thumb embed-responsive embed-responsive-16by9 mb-30">
                    <iframe height="300" allow="autoplay" src="<?php echo esc_url($single_audio);?>"></iframe>
                  </div>
                <?php } elseif ( has_post_thumbnail() ) { ?>
                  <div class="bsingle__post-thumb mb-30">
                    <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                  </div>
                <?php } ?>
              <div class="meta__info">
                <ul>
                  <li><i class="far fa-user"></i><?php echo esc_html__( 'By', 'relxtower' );?> <?php the_author_posts_link(); ?></li>
                  <li><i class="far fa-comments"></i><?php comments_number( esc_html__('0 Comments', 'relxtower'), esc_html__('1 Comments', 'relxtower'), esc_html__('% Comments', 'relxtower')); ?></li>
                </ul>
              </div>
              <div class="details__content pb-50">
                <h2><?php the_title();?></h2>
                <?php the_content(); ?>
                <?php wp_link_pages(); ?>
                <div class="row">
                  <div class="col-xl-6 col-md-7">
                    <div class="post__tag">
                      <h5><?php echo esc_html__( 'Related Tags:', 'relxtower' );?></h5>
                      <ul>
                        <?php echo get_the_tag_list( '<li>', '</li><li>', '</li>'); ?>
                      </ul>
                    </div>
                  </div>
                  <div class="col-xl-6 col-md-5">
                    <div class="post__share text-right">
                      <h5><?php echo esc_html__( 'Social Share', 'relxtower' );?></h5>
                      <ul>
                        <li><a href="<?php echo esc_url($single_twitter); ?>"><i class="fab fa-twitter"></i></a></li>
                        <li><a href="<?php echo esc_url($single_pinterest); ?>"><i class="fab fa-pinterest-p"></i></a></li>
                        <li><a href="<?php echo esc_url($single_facebook); ?>"><i class="fab fa-facebook-f"></i></a></li>
                        <li><a href="<?php echo esc_url($single_instagram); ?>"><i class="fab fa-instagram"></i></a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
              
              <?php comments_template();?>
            </div>
          </div>
          <div class="col-lg-4">
            <aside>
              <?php get_sidebar();?>                              
            </aside>
          </div>
        </div>
      </div>
    </section>
    <!-- blog-area end -->
  <?php endwhile; ?>

  <?php
  get_footer();
  ?>