<?php
/*
 * The Template for displaying all posts
 * 
 */
 $relxtower_redux_demo = get_option('redux_demo');
get_header(); ?>

<?php if(isset($relxtower_redux_demo['blog_image']['url']) && $relxtower_redux_demo['blog_image']['url'] != ''){?>
  <section class="breadcrumb-area d-flex align-items-center" style="background-image:url(<?php echo esc_url($relxtower_redux_demo['blog_image']['url']);?>)">
  <?php }else{?> 
    <section class="breadcrumb-area d-flex align-items-center" style="background-image:url(<?php echo (get_template_directory_uri().'/assets/img/testimonial/test-bg.jpg');?>)">
    <?php } ?>  
    <div class="container">
      <div class="row">
        <div class="col-xl-6 offset-xl-3 col-lg-8 offset-lg-2">
          <div class="breadcrumb-wrap text-center">
            <div class="breadcrumb-title mb-30">
              <h2><?php printf( esc_html__( 'Tag Archives: %s', 'relxtower' ), single_tag_title( '', false ) ); ?></h2>                                   
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
<!-- breadcrumb-area-end -->
<!-- inner-blog -->
<section class="inner-blog pt-120 pb-120">
  <div class="container">
    <div class="row">
      <div class="col-lg-8">
        <?php 
                while (have_posts()): the_post();
                  $single_audio = get_post_meta(get_the_ID(),'_cmb_single_audio', true);
                  $single_video = get_post_meta(get_the_ID(),'_cmb_single_video', true);
            ?> 
          <div class="bsingle__post mb-50">
            <?php if ( has_post_format('video') ) { ?>
              <div class="bsingle__post-thumb video-p">
                <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                <a href="<?php echo esc_url($single_video);?>" class="video-i popup-video"><i class="fas fa-play"></i></a>
              </div>
            <?php } elseif ( has_post_format('gallery') ) { ?>
              <div class="bsingle__post-thumb blog-active">
                <?php $gallery = get_post_gallery( get_the_ID(), false );

                if(isset($gallery['ids'])){    
                  $gallery_ids = $gallery['ids'];
                  $img_ids = explode(",",$gallery_ids);
                  $i=0; $j=0;?>
                  <?php   
                  foreach( $img_ids AS $img_id ){ 
                    $image_src = wp_get_attachment_image_src($img_id,''); 
                    ?>
                    <div class="slide-post">
                      <img src="<?php echo esc_url($image_src[0]); ?>" alt="">
                    </div>
                  <?php } } ?>
              </div>
            <?php } elseif ( has_post_format('audio') ) { ?>
              <div class="bsingle__post-thumb embed-responsive embed-responsive-16by9">
                <iframe height="300" allow="autoplay" src="<?php echo esc_url($single_audio);?>"></iframe>
              </div>
            <?php } elseif ( has_post_thumbnail() ) { ?>
            <div class="bsingle__post-thumb">
              <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
            </div>
            <?php } ?>
            <div class="bsingle__content">
              <div class="meta-info">
                <ul>
                  <li><i class="far fa-user"></i><?php echo esc_html__( 'By', 'relxtower' );?> <?php the_author_posts_link(); ?></li>
                  <li><i class="far fa-comments"></i><?php comments_number( esc_html__('0 Comments', 'relxtower'), esc_html__('1 Comments', 'relxtower'), esc_html__('% Comments', 'relxtower')); ?></li>
                </ul>
              </div>
              <h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
              <p><?php if(isset($relxtower_redux_demo['blog_excerpt'])){?>
                <?php echo esc_attr(relxtower_excerpt($relxtower_redux_demo['blog_excerpt'])); ?>
              <?php }else{?>
                <?php echo esc_attr(relxtower_excerpt(40)); 
              }
              ?></p>
              <div class="blog__btn">
                <a href="<?php the_permalink();?>" class="btn"><?php if(isset($relxtower_redux_demo['read_more'])){?>
                  <?php echo htmlspecialchars_decode(esc_attr($relxtower_redux_demo['read_more']));?>
                <?php }else{?>
                  <?php echo esc_html__( 'Read more', 'relxtower' );
                }
                ?></a>
              </div>
            </div>
          </div>
        <?php endwhile; ?>
        <div class="pagination-wrap mb-50">
          <nav>
            <?php relxtower_pagination();?>
          </nav>
        </div>
      </div>
      <div class="col-lg-4">
        <aside>
          <?php get_sidebar();?>                             
        </aside>
      </div>
    </div>
  </div>
</section>

<?php
    get_footer();
?>